# uploadfilter

Simple upload filter script for Article 13 of EU copyright reform.

**This is example code and not for any production usage!**

This is more a demonstration of how an upload filter could work.

* security checks missing
* some logical checks missing, see code comments

## How it works
All content uploaded will trigger 1-n emails to EU representatives with an exclusive token link to access and review the content. The validation of the content is stored in a database, so you can look-up if a file is validated as copyright free or a copyright infringement is reported. Based on this data, you can publish or block the content on your plattform.

## Requirements
* php
* php sqlite3 extension

## Setup
* import email adresses from EU representative to the *emails* table
* adresses can be found on [https://saveyourinternet.eu/act/](https://saveyourinternet.eu/act/)
* change configuration in *db.php* and email template to your needs
* **path to files should not be accessible from web**

## Usage
* content is uploaded to *upload.php* and triggers database entries and token emails
* to make the file accessible on your platform, review it's validation status in *validations* table; publishing of mapping of who validated which content is also possible